SplitMenuButtonSkin (JavaFX 19)
Description: declaration: module: javafx.controls, package: javafx.scene.control.skin, class: SplitMenuButtonSkin

Module javafx.controls
Package javafx.scene.control.skin

# Class SplitMenuButtonSkin

java.lang.Object
javafx.scene.control.SkinBase<C>
javafx.scene.control.skin.MenuButtonSkinBase<SplitMenuButton>
javafx.scene.control.skin.SplitMenuButtonSkin

All Implemented Interfaces:
  `Skin<SplitMenuButton>`

public class SplitMenuButtonSkin extends MenuButtonSkinBase<SplitMenuButton>
Default skin implementation for the `SplitMenuButton` control.

Since:
  9
See Also:
  - `SplitMenuButton`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SplitMenuButtonSkin(SplitMenuButton control)`
  Creates a new SplitMenuButtonSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  ### Methods declared in class javafx.scene.control.SkinBase

  `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getClassCssMetaData, getCssMetaData, getNode, getSkinnable, layoutChildren, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SplitMenuButtonSkin

    public SplitMenuButtonSkin(SplitMenuButton control)
    Creates a new SplitMenuButtonSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.